/**
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.oaas;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Module</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getDescription <em>Description</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getName <em>Name</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getElements <em>Elements</em>}</li>
 * </ul>
 *
 * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getModule()
 * @model
 * @generated
 */
public interface Module extends AbstractElement
{
  /**
   * Returns the value of the '<em><b>Description</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Description</em>' containment reference.
   * @see #setDescription(Description)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getModule_Description()
   * @model containment="true"
   * @generated
   */
  Description getDescription();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getDescription <em>Description</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Description</em>' containment reference.
   * @see #getDescription()
   * @generated
   */
  void setDescription(Description value);

  /**
   * Returns the value of the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name</em>' attribute.
   * @see #setName(String)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getModule_Name()
   * @model
   * @generated
   */
  String getName();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Module#getName <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name</em>' attribute.
   * @see #getName()
   * @generated
   */
  void setName(String value);

  /**
   * Returns the value of the '<em><b>Elements</b></em>' containment reference list.
   * The list contents are of type {@link br.ufes.nemo.seon.ontoloyasservice.oaas.AbstractElement}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Elements</em>' containment reference list.
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getModule_Elements()
   * @model containment="true"
   * @generated
   */
  EList<AbstractElement> getElements();

} // Module
